package com.jpattern.orm.generator.reflection;

import java.lang.reflect.Field;

/**
 * 
 * Get the value of bean a using directly accessing it
 * 
 * @author Francesco Cina'
 *
 * Mar 31, 2012
 */
public class FieldGetFieldManipulator extends AGetFieldManipulator {

	private final Field field;

	public FieldGetFieldManipulator(Field field) {
		this.field = field;
		field.setAccessible(true);
	}

	@Override
	public Object getValue(Object bean) throws IllegalArgumentException, IllegalAccessException {
		return field.get(bean);
	}

}
