package com.jpattern.orm.generator.statement;

import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.sql.Time;

public class TimePreparedStatementManipulator extends
PreparedStatementManipulator<Time> {

	@Override
	public void setValueToPreparedStatement(final Object value, final PreparedStatement ps,
			final int index) throws SQLException {
		ps.setTime(index, castValue(value));
	}

	@Override
	protected Time castValue(final Object value) {
		return (Time) value;
	}

}
